New IT forum
27 June 2022, 12:15:37 pm *
Welcome, %1$s. Please login or register.

: GertDuino now in stock.
 
Pages: [1]

Author Topic: transmission bt  (Read 14397 times)

raj123

  • Newbie
  • *
  • Posts: 33
transmission bt
« on: 01 June 2010, 12:27:36 pm »

Hi,

I tried to install transmission bit torrent and everything went throough fine. When I try to use it thr web gui to download the torrent, nothing happens. It never start the downloads. Is there any bug or am i missing anything. Anyone successful using bit torrent clients on sheeva plug .. Please let me know.

Regards,
Raj
Logged

peter a

  • Full Member
  • ***
  • Posts: 162
Re: transmission bt
« Reply #1 on: 01 June 2010, 04:51:34 pm »

No, the sheevaplug will run any torrent program which you can be downloaded or compile.

I`m using transmission I think 1.92 which I compiled myself, and has been working for the last 4 months now without problems.
So it`s other factors which is your problem and not the shevvaplug and torrent programs.

your router , other software you have installed , your isp adsl .
Logged

raj123

  • Newbie
  • *
  • Posts: 33
Re: transmission bt
« Reply #2 on: 02 June 2010, 10:26:53 am »

Hi,

I used "apt-get install transmission" on the sheeva plug. I stoped the deamon and edited the settings so that I can access it using the browser. I rule out the router and ISP, as I am able to use the same from another ubuntu desktop. If it is possible, can u please give me the steps how you used to build and installed it.

Thanks,
Raj
Logged

peter a

  • Full Member
  • ***
  • Posts: 162
Re: transmission bt
« Reply #3 on: 03 June 2010, 07:43:09 pm »

I tried "apt-get install transmission" and found it installed a very old version, so I complied it.
Check which version is installed !!!!
Logged

jamie

  • New IT customer
  • Newbie
  • *
  • Posts: 1
Re: transmission bt
« Reply #4 on: 04 June 2010, 09:55:28 am »

Hi,
I had a very similar problem to when accessing the web gui from google chrome, although switching to firefox seemed to fix the problem.

Cheers
Jamie
Logged

raj123

  • Newbie
  • *
  • Posts: 33
Re: transmission bt
« Reply #5 on: 04 June 2010, 12:23:03 pm »

Hi,

I tried with firefox but that did not help. Can anyone please post me how to compile or a pointer how to how to those. I am not familiar with that...

Thanks in advance,
Raj
Logged

peter a

  • Full Member
  • ***
  • Posts: 162
Re: transmission bt
« Reply #6 on: 04 June 2010, 04:22:55 pm »

look at http://bradford.law-family.org/success-building-transmission-1-80-from-source-on-sheevaplug/
and https://trac.transmissionbt.com/wiki/Building

1/ download the lastest tar : http://mirrors.m0k.org/transmission/files/transmission-1.93.tar.bz2
2/ untar it :
3/ install the packages you need :

apt-get install build-essential automake autoconf libtool pkg-config libcurl4-openssl-dev intltool libxml2-dev libgtk2.0-dev libnotify-dev libglib2.0-dev libevent-dev

4/ cd into the untar transmission dir :
5/ configure it : ./configure -q && make -s
6/ make install


Logged

raj123

  • Newbie
  • *
  • Posts: 33
Re: transmission bt
« Reply #7 on: 06 June 2010, 10:08:11 am »

Hi Peter,

I was able to install transmission 1.93 successfully and download a torrent. The only issue I am having is that, even though I changed the settings, it does not authenticate. Do you have the same issue ?

Thanks for all the help...

Regards,
Raj
Logged

peter a

  • Full Member
  • ***
  • Posts: 162
Re: transmission bt
« Reply #8 on: 06 June 2010, 12:33:57 pm »

it you are using the web interface I think I know what your problem is .

look in settings.json for:-

    "rpc-whitelist": "192.168.0.35, 127.0.0.1",    <------- put in the ip address of the other machine
    
there is also :-
"rpc-whitelist-enabled": true,    --    False I think allow any IP to enter , but fully sure


I only connect to my Sheevaplug from one machine on a fixed ip of 192.168.0.35 , I think if you are not on the list you just get black listed

this is my transmission-daemon file :-


Code: [Select]
#! /bin/sh
### BEGIN INIT INFO
# Provides:          transmission-daemon
# Required-Start:    networking
# Required-Stop:     networking
# Default-Start:     2 3 5
# Default-Stop:      0 1 6
# Short-Description: Start the transmission BitTorrent daemon client.
### END INIT INFO

# Original Author: Lennart A. JÃŒtte, based on Rob Howell's script
# Modified by Maarten Van Coile & others (on IRC)

# Do NOT "set -e"

#
# ----- CONFIGURATION -----
#
# For the default location Transmission uses, visit:
# http://trac.transmissionbt.com/wiki/ConfigFiles
# For a guide on how set the preferences, visit:
# http://trac.transmissionbt.com/wiki/EditConfigFiles
# For the available environement variables, visit:
# http://trac.transmissionbt.com/wiki/EnvironmentVariables
#
# The name of the user that should run Transmission.
# It's RECOMENDED to run Transmission in it's own user,
# by default, this is set to 'transmission'.
# For the sake of security you shouldn't set a password
# on this user
USERNAME=transmission


# ----- *ADVANCED* CONFIGURATION -----
# Only change these options if you know what you are doing!
#
# The folder where Transmission stores the config & web files.
# ONLY change this you have it at a non-default location
#TRANSMISSION_HOME="/var/config/transmission-daemon"
TRANSMISSION_HOME="/mnt/sda1/share/transmission"
#TRANSMISSION_WEB_HOME="/usr/share/transmission/web"
#
# The arguments passed on to transmission-daemon.
# ONLY change this you need to, otherwise use the
# settings file as per above.
#TRANSMISSION_ARGS=""


# ----- END OF CONFIGURATION -----
#
# PATH should only include /usr/* if it runs after the mountnfs.sh script.
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
DESC="bittorrent client"
NAME=transmission-daemon
DAEMON=$(which $NAME)
PIDFILE=/var/run/trans/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS

#
# Function that starts the daemon/service
#

do_start()
{
    # Export the configuration/web directory, if set
    if [ -n "$TRANSMISSION_HOME" ]; then
          export TRANSMISSION_HOME
    fi
    if [ -n "$TRANSMISSION_WEB_HOME" ]; then
          export TRANSMISSION_WEB_HOME
    fi

    # Return
    #   0 if daemon has been started
    #   1 if daemon was already running
    #   2 if daemon could not be started
    start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
            --exec $DAEMON --background --test -- -f $TRANSMISSION_ARGS > /dev/null \
            || return 1
    start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
            --exec $DAEMON --background -- -f $TRANSMISSION_ARGS \
            || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
        # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
        #   2 if daemon could not be stopped
        #   other if a failure occurred
        start-stop-daemon --stop --quiet --retry=TERM/10/KILL/5 --pidfile $PIDFILE --name $NAME
        RETVAL="$?"
        [ "$RETVAL" = 2 ] && return 2

        # Wait for children to finish too if this is a daemon that forks
        # and if the daemon is only ever run from this initscript.
        # If the above conditions are not satisfied then add some other code
        # that waits for the process to drop all resources that could be
        # needed by services started subsequently.  A last resort is to
        # sleep for some time.

        start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
        [ "$?" = 2 ] && return 2

        # Many daemons don't delete their pidfiles when they exit.
        rm -f $PIDFILE

        return "$RETVAL"
}

case "$1" in
  start)
        echo "Starting $DESC" "$NAME..."
        do_start
        case "$?" in
                0|1) echo "   Starting $DESC $NAME succeeded" ;;
                *)   echo "   Starting $DESC $NAME failed" ;;
        esac
        ;;
  stop)
        echo "Stopping $DESC $NAME..."
        do_stop
        case "$?" in
                0|1) echo "   Stopping $DESC $NAME succeeded" ;;
                *)   echo "   Stopping $DESC $NAME failed" ;;
        esac
        ;;
  restart|force-reload)
        #
        # If the "reload" option is implemented then remove the
        # 'force-reload' alias
        #
        echo "Restarting $DESC $NAME..."
        do_stop
        case "$?" in
          0|1)
                do_start
                case "$?" in
                    0|1) echo "   Restarting $DESC $NAME succeeded" ;;
                    *)   echo "   Restarting $DESC $NAME failed: couldn't start $NAME" ;;
                esac
                ;;
          *)
                echo "   Restarting $DESC $NAME failed: couldn't stop $NAME" ;;
        esac
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
        exit 3
        ;;
esac

the bit you need to set is  (TRANSMISSION_HOME="/mnt/sda1/share/transmission" )
which is the place it collects settings.json from :- eg

/mnt/sda1/share/transmission/settings.json

and this is my settings.json file in full.

Code: [Select]
{
    "alt-speed-down": 150,
    "alt-speed-enabled": true,
    "alt-speed-time-begin": 540,
    "alt-speed-time-day": 127,
    "alt-speed-time-enabled": false,
    "alt-speed-time-end": 1380,
    "alt-speed-up": 5,
    "bind-address-ipv4": "0.0.0.0",
    "bind-address-ipv6": "::",
    "blocklist-enabled": false,
    "dht-enabled": true,
    "download-dir": "\/mnt\/sda1\/share\/transmission\/Downloads",
    "encryption": 1,
    "incomplete-dir": "\/mnt\/sda1\/share\/transmission\/Incomplete",
    "incomplete-dir-enabled": true,
    "lazy-bitfield-enabled": true,
    "message-level": 2,
    "open-file-limit": 32,
    "peer-limit-global": 160,
    "peer-limit-per-torrent": 60,
    "peer-port": 51413,
    "peer-port-random-high": 65535,
    "peer-port-random-low": 49152,
    "peer-port-random-on-start": false,
    "peer-socket-tos": 0,
    "pex-enabled": true,
    "port-forwarding-enabled": true,
    "preallocation": 1,
    "proxy": "",
    "proxy-auth-enabled": false,
    "proxy-auth-password": "",
    "proxy-auth-username": "",
    "proxy-enabled": false,
    "proxy-port": 80,
    "proxy-type": 0,
    "ratio-limit": 0,
    "ratio-limit-enabled": true,
    "rename-partial-files": true,
    "rpc-authentication-required": false,
    "rpc-bind-address": "0.0.0.0",
    "rpc-enabled": true,
    "rpc-password": "{84f0367048091ed5bdb47e93f0aeaec30bbbc122deBhAWU\/",
    "rpc-port": 9091,
    "rpc-username": "",
    "rpc-whitelist": "192.168.0.35, 127.0.0.1",
    "rpc-whitelist-enabled": true,
    "speed-limit-down": 400,
    "speed-limit-down-enabled": false,
    "speed-limit-up": 25,
    "speed-limit-up-enabled": true,
    "umask": 0,
    "upload-slots-per-torrent": 14
}

My set up :-

/mnt/sda1/share/transmission/blocklists/
/mnt/sda1/share/transmission/Completed/
/mnt/sda1/share/transmission/Downloads/
/mnt/sda1/share/transmission/Incomplete/
/mnt/sda1/share/transmission/resume/
/mnt/sda1/share/transmission/torrents/
/mnt/sda1/share/transmission/watch/
/mnt/sda1/share/transmission/dht.dat
/mnt/sda1/share/transmission/settings.json
/mnt/sda1/share/transmission/stats.json

I use a number of cron job scripts , which I use to start downloading only at off peal times, read RSS feed and auto start them , move completeed file around etc.

ALSO MAKE SURE TO DO ANY CHANGES to settings.json WHILE TO DAEMON IS STILL RUNNING
 
« Last Edit: 06 June 2010, 12:35:50 pm by peter a »
Logged

varkey

  • Newbie
  • *
  • Posts: 15
Re: transmission bt
« Reply #9 on: 07 June 2010, 03:00:32 am »


ALSO MAKE SURE TO DO ANY CHANGES to settings.json WHILE TO DAEMON IS STILL RUNNING
 

You mean when transmission-daemon is NOT running? None of the changes I make when the daemon is running gets saved.
Logged

peter a

  • Full Member
  • ***
  • Posts: 162
Re: transmission bt
« Reply #10 on: 07 June 2010, 05:10:53 am »

Yes , oops

ALSO MAKE SURE NOT TO DO ANY CHANGES to settings.json WHILE TO DAEMON IS STILL RUNNING
Logged

raj123

  • Newbie
  • *
  • Posts: 33
Re: transmission bt
« Reply #11 on: 07 June 2010, 09:58:38 am »

Hi Peter,

I was having ""rpc-enabled": false" so it was not prompting a username and password. I changed it to ""rpc-enabled": true" and everything started working fine.

Thanks again peter...

Raj
Logged

raj123

  • Newbie
  • *
  • Posts: 33
Re: transmission bt
« Reply #12 on: 07 June 2010, 10:26:48 am »

Sorry... That was ""rpc-authentication-required": false" to "rpc-authentication-required": true"...Has been playing with different parameters...
Logged
Pages: [1]
 
 

Powered by MySQL Powered by PHP SMF 2.0.10 | SMF © 2015, Simple Machines Valid XHTML 1.0! Valid CSS!